Subject: Re: bug#8750: 24.0.50; Crash in daemon mode when display goes away

From: Chong Yidong <[email-masked]>
Date: Sat, 28 May 2011 19:49:31 -0400

Nix <[email-masked]> writes:

>>> (If this is impossible, can anyone suggest a way to keep Emacs running
>>> while the X server is down? I've tried xpra, but its keyboard handling
>>> is too broken :( )
>>
>> You can try using a Lucid toolkit build.
>
> Will do.

Another possible workaround is to run some code in your pre-suspend
script that makes the Emacs daemon close all its X connections.  I don't
know whether that will successfully avoid triggering the GTK fail, but
it's worth a try.